The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Выпуск пакетного менеджера RPM 4.18"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от opennews (ok), 21-Сен-22, 17:50 
После года разработки состоялся релиз пакетного менеджера RPM 4.18.0. Проект RPM4 развивается компанией Red Hat и используется в таких дистрибутивах, как RHEL (включая производные проекты CentOS, Scientific Linux, AsiaLinux, Red Flag Linux, Oracle Linux), Fedora, SUSE, openSUSE, ALT Linux, OpenMandriva, Mageia, PCLinuxOS, Tizen и многих других. Ранее независимой командой разработчиков развивался проект RPM5, который непосредственно не связан с RPM4 и в настоящее время заброшен (не обновлялся с 2010 года).  Код проекта распространяется под лицензиями GPLv2 и LGPLv2...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=57809

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Выпуск пакетного менеджера RPM 4.18"  –4 +/
Сообщение от НяшМяш (ok), 21-Сен-22, 17:50 
> Добавлен новый OpenPGP-бэкенд для работы с подписями пакетов, основанный на проекте Sequoia (реализация OpenPGP на языке Rust)

И этот поржавел. Праведному сяшечнику скоро компьютер нельзя будет включить, чтобы не зашквариться. /s

Ответить | Правка | Наверх | Cообщить модератору

6. "Выпуск пакетного менеджера RPM 4.18"  +3 +/
Сообщение от Аноним (6), 21-Сен-22, 18:05 
Да и незачем будет его включать - все равно собрать трэшовую утилитку на нем не получится, нужно арендовать в амазоне пару сотен инстансов чтобы кое-как собрались все зависимости зависимостей.


Но пока, к счастью, это ненужное-ненужно всего лишь дополнительный бэкэнд который придется еще и отдельно подключать, если так уж хочется собрать rpm с его поддержкой. А иначе опять немодный сишный gpg будет.

Ответить | Правка | Наверх | Cообщить модератору

22. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от Аноним (22), 21-Сен-22, 21:32 
К сожалению с растом это очень существенная проблема. Хоть сколько-нибудь легковесного компилятора для него нет...
Ответить | Правка | Наверх | Cообщить модератору

26. "Выпуск пакетного менеджера RPM 4.18"  +1 +/
Сообщение от Аноним (26), 21-Сен-22, 22:19 
Вы прям так жалуетесь, будто вас кто-то заставляет собирать весь свой инструментарий на своём компьтере из исходников.
Ответить | Правка | Наверх | Cообщить модератору

27. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от Аноним (27), 21-Сен-22, 22:32 
это должен быть персональный ад для растоманов - сборка раста из исходников не на роллинге...
Ответить | Правка | Наверх | Cообщить модератору

28. "Выпуск пакетного менеджера RPM 4.18"  +2 +/
Сообщение от Аноним (22), 21-Сен-22, 22:50 
Вообще довольно часто приходится. Каких-то мелких патчей накинуть - обычное дело. Раст довольно сильно мешает тяжёлым компилятором (у плюсов тоже такая проблема).
Си - совсем другое дело.
Ответить | Правка | К родителю #26 | Наверх | Cообщить модератору

41. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от n00by (ok), 22-Сен-22, 07:49 
Такая же проблема плюсов решается ccache, но не в случае rpm.
Ответить | Правка | Наверх | Cообщить модератору

55. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от мелкософта (?), 23-Сен-22, 01:53 
Решил такую проблему имеенно так. Чяднт?
Ответить | Правка | Наверх | Cообщить модератору

56. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от n00by (ok), 23-Сен-22, 14:59 
Специально собирали на локальной машине, а не вон там, где положено.
Ответить | Правка | Наверх | Cообщить модератору

44. "Выпуск пакетного менеджера RPM 4.18"  +1 +/
Сообщение от ryoken (ok), 22-Сен-22, 09:12 
>> чтобы кое-как собрались все зависимости зависимостей

уберите --with-bdeps=true :D

Ответить | Правка | К родителю #6 | Наверх | Cообщить модератору

10. "Выпуск пакетного менеджера RPM 4.18"  +2 +/
Сообщение от ИмяХ (?), 21-Сен-22, 18:56 
>>проект RPM5, который непосредственно не связан с RPM4 и в настоящее время заброшен (не обновлялся с 2010 года).

Ну и зачем его тогда каждый раз упоминать?

Ответить | Правка | Наверх | Cообщить модератору

23. "Выпуск пакетного менеджера RPM 4.18"  +3 +/
Сообщение от Аноним (22), 21-Сен-22, 21:33 
Чтоб не думали, наверное, что 4.18 это что-то древнее с поддержкой на уровне секурити баги пофиксим.
Ответить | Правка | Наверх | Cообщить модератору

39. "Выпуск пакетного менеджера RPM 4.18"  +1 +/
Сообщение от n00by (ok), 22-Сен-22, 07:41 
Что бы я каждый раз писал, что «разработчики» свеженькой Rosa долго рекламировали его среди пользователей как прогрессивный, а пару лет назад выкинули, поскольку не умеют исправлять тривиальные переполнения стека и вообще кодить.
Ответить | Правка | К родителю #10 | Наверх | Cообщить модератору

57. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от ИмяХ (?), 24-Сен-22, 13:18 
>> а пару лет назад выкинули

Какие пару лет? С 2010 года заброшен, уже давно пора его забыть.

Ответить | Правка | Наверх | Cообщить модератору

58. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от n00by (ok), 25-Сен-22, 10:36 
>>> а пару лет назад выкинули
> Какие пару лет? С 2010 года заброшен, уже давно пора его забыть.

Это автор его тогда забросил. Потом местные деятели купили Mandriva Linux. Внедрили RPM5 вместо RPM4, что бы быть впереди планеты всей. Потом произошло разделение на OpenMandriva и Rosa. Первые вынужденно поддерживали RPM5, что-то там доделывали. Вторые слепо патчи копировали. Накопировали переполнение стека при установке пакета и не могли его исправить, это сделал за них я. Платформа 2016 была у них актуальна ещё год назад, там RPM5.

Ответить | Правка | Наверх | Cообщить модератору

13. "Выпуск пакетного менеджера RPM 4.18"  –5 +/
Сообщение от Nikki Next (?), 21-Сен-22, 19:12 
RPM - это формат пакетов. Пакетный менеджер RPM - DNF. Почему RPM называют пакетным менеджером?
Ответить | Правка | Наверх | Cообщить модератору

15. "Выпуск пакетного менеджера RPM 4.18"  +2 +/
Сообщение от Аноним (15), 21-Сен-22, 19:21 
rpm -ivh *.rpm
Ответить | Правка | Наверх | Cообщить модератору

21. "Выпуск пакетного менеджера RPM 4.18"  +3 +/
Сообщение от Аноним (21), 21-Сен-22, 21:19 
> RPM - это формат пакетов. Пакетный менеджер RPM - DNF.

Неверно. Формат пакетов — CPIO + RPM-специфичные доп. заголовки. А пакетный менеджер — RPM. Что касается DNF, то он просто докачивает недостающие RPM из прописанных репозиториев. Формально его тоже можно обозвать пакетным менеджером, но часть своего функционала он просто делегирует RPM.

Ответить | Правка | К родителю #13 | Наверх | Cообщить модератору

31. "Выпуск пакетного менеджера RPM 4.18"  +1 +/
Сообщение от SilverCutePony (ok), 22-Сен-22, 04:37 
Да ну? Название расшифруй для начала
https://en.wikipedia.org/wiki/RPM_Package_Manager
Ответить | Правка | К родителю #13 | Наверх | Cообщить модератору

14. "Выпуск пакетного менеджера RPM 4.18"  –1 +/
Сообщение от Аноним (15), 21-Сен-22, 19:20 
> Предложен более понятный макрос "%bcond" для определения условий при сборке.

В сусе уже давно, весрии где-то с 12.2

Ответить | Правка | Наверх | Cообщить модератору

17. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от birdie (ok), 21-Сен-22, 19:56 
> Fix %_minimize_writes regression (in 4.15.0)

Всего 4 года фиксили или около того.

Ответить | Правка | Наверх | Cообщить модератору

20. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от BrainFucker (ok), 21-Сен-22, 20:28 
Никогда не пользовался, чем он лучше deb, стоит пробовать?
Ответить | Правка | Наверх | Cообщить модератору

24. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от Аноним (24), 21-Сен-22, 21:44 
Зачем пробовать, если вас устраивает ваш deb дистрибутив?

Не понимаю людей вообще.

Как и не понимаю как люди пользуются deb-based дистрибутивами - рядом с RPM не валялся по фичам.

Ответить | Правка | Наверх | Cообщить модератору

30. "Выпуск пакетного менеджера RPM 4.18"  +2 +/
Сообщение от Аноним (30), 22-Сен-22, 02:20 
> рядом с RPM не валялся по фичам

что за фичи такие?

Ответить | Правка | Наверх | Cообщить модератору

43. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от n00by (ok), 22-Сен-22, 09:01 
Можно скопировать spec файлы из Fedora и scamпелировать дистрибутив с  ̶н̶е̶с̶к̶у̶ч̶н̶ы̶м̶и̶ ̶о̶б̶о̶я̶м̶и̶  трендовым сетом иконок.
Ответить | Правка | Наверх | Cообщить модератору

32. "Выпуск пакетного менеджера RPM 4.18"  +1 +/
Сообщение от Аноним (32), 22-Сен-22, 05:33 
Не понимаю людей, которые пользуются rpm и deb дистрибутивами, когда есть tgz-дистрибутивы.
Ответить | Правка | К родителю #24 | Наверх | Cообщить модератору

45. "Выпуск пакетного менеджера RPM 4.18"  +1 +/
Сообщение от ryoken (ok), 22-Сен-22, 09:14 
У вас слишком много ошибок в слове "ebuild" :D.
Ответить | Правка | Наверх | Cообщить модератору

47. "Выпуск пакетного менеджера RPM 4.18"  +1 +/
Сообщение от Аноним (47), 22-Сен-22, 10:30 
У вас слишком много ошибок в слове по"ebuild" :D.

Исправил, можешь не благодарить.

Ответить | Правка | Наверх | Cообщить модератору

25. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от Аноним (22), 21-Сен-22, 22:00 
Создавать rpm пакеты как мне кажется проще чем deb. Всего один spec-файл для пакета написать и всё.
Хотя тут наверное дело привычки...
Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

29. "Выпуск пакетного менеджера RPM 4.18"  +1 +/
Сообщение от Аноним (29), 21-Сен-22, 23:45 
Лучше ебилды попробуй.
Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

33. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от BrainFucker (ok), 22-Сен-22, 05:39 
> Лучше ебилды попробуй.

Нет столько свободного времени.

Ответить | Правка | Наверх | Cообщить модератору

34. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от Аноним (-), 22-Сен-22, 06:29 
Замени свой Эльбрус на Ryzen наконец.
Ответить | Правка | Наверх | Cообщить модератору

35. "Выпуск пакетного менеджера RPM 4.18"  +1 +/
Сообщение от BrainFucker (ok), 22-Сен-22, 06:32 
> Замени свой Эльбрус на Ryzen наконец.

Свободному времени на зад-тство от этого неоткуда взяться.

Ответить | Правка | Наверх | Cообщить модератору

37. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от лютый ж.... (?), 22-Сен-22, 07:17 
>чем он лучше deb

dnf лучше apt, а нижний слой всё равно сплошной оверинжениринг

Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

38. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от BrainFucker (ok), 22-Сен-22, 07:19 
Я про формат больше, а не менеджер. Так-то с apt у меня и так нет сложностей, зависимости разруливает, о проблемах предупреждает до того как начнёт обновление.

А вообще по возможности предпочитаю AppImage или просто тарбол бандлы.

Ответить | Правка | Наверх | Cообщить модератору

40. "Выпуск пакетного менеджера RPM 4.18"  +5 +/
Сообщение от пох. (?), 22-Сен-22, 07:48 
На формат бинарного пакета всем кроме белок-истеричек начхать. (Хотя возможность одной командой вытащить интересующий файл а не распаковывать бессмысленную матрешку в несколько приемов все же иногда  удобна.)

Но возможно до тебя когда-нибудь дойдет, что мы тут не все белки-истерички, неистово надр@4ивающие на шва6одку, и кто-то когда-то всерьез предпочитал опенсорс потому что мог его сделать для себя таким как ему удобно.

Вот сборка .deb - это боль, унижение, страдания. Уе...щный формат (три разных формата), мильен загадочных хелперов без документации, еще и норовящих "устареть", куча мусора часть которого не предназначена для людей, зато вторая требует ручного ковыряния - отдельный привет тем кто привык при работе пользоваться vcs, невозможность быстро и просто поправить чужое.

.spec - единственный обычно _мелкий_ файлик, вся сложная деятельность загнана под капот и оттуда не торчит, лазят туда только дистростроители, новый образуется cp старый от первого попавшего под руку пакета и быстрой правкой десятка идущих подряд очевидных строк с именем и версией для начала - тратить время на чтение документации тебе скорее всего не придется. На некоторые сложности напарываешься в сложных местах (типа сборки модуля для язычка с собственной нескучной пакетной системой), но обычно где-то в федорином сайте есть документация и на этот случай. Макро и хелперы сделаны в режиме автопилота а не т-пого робота-водителя - т.е. включаются явно, делают за тебя твою работу, при малейшем несогласии с тем как они это делают - просто отключаются. Хочешь - дергай %configure, не хочешь или просто не дочитал до этого места - запускаешь вручную, никаких "dh-override" когда сперва догадайся, ЧТО override.

Ответить | Правка | Наверх | Cообщить модератору

46. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от ryoken (ok), 22-Сен-22, 09:16 
>>(Хотя возможность одной командой вытащить интересующий файл а не распаковывать бессмысленную матрешку в несколько приемов все же иногда  удобна.)

Простите, а пользоваться mc и ходить им унутре пакетов вам совсем убеждения не позволяют?

Ответить | Правка | Наверх | Cообщить модератору

48. "Выпуск пакетного менеджера RPM 4.18"  –1 +/
Сообщение от Аноним (26), 22-Сен-22, 11:01 
Это ваше mc как-нибудь скриптуется или мне руками файлы готовить под плейбуки и прочие репаки каждый раз?
Ответить | Правка | Наверх | Cообщить модератору

49. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от Аноним (47), 22-Сен-22, 11:06 
Классическая ситуация, ты ставишь зависимости для сборки какого-то куска софта через классический apt-get build-dep имя_пакета, например, php. Классика же, да? А он тебе в ответ:
Required такой-то package but it will not be installed.

И дальше мудовые рыдания, а почему? потому что ты из него не можешь выбить причину заминки установки. А причина кроется в том, что у доебана зависимости ставятся через самолётное крыло.
Например, у тебя есть зависимость второго уровня "a | b | c" и зависимость третьего уровня "x | y | z". Известно, что "a" конфликтует с "x и "z", "b" конфликтует с "y" и c конфликтует с "x" и "y". А что делает dpkg/apt-get? Вы думаете, он строит дерево зависимостей, выявляет нужное сочетание пакетов и ставит их? Хрен там плавал.
Вместо того, чтобы обмозговать ситуацию и поставить пакеты "a" и "y", он попытается поставить "a" и "x" и скажет, что он обосрався. И то, это произойдёт тогда, когда ты извернёшься, вынешь build-time зависимости, (обычно достаточно дерева 3, иногда 4-го уровня) и начнёшь играться с разным сочетанием пакетов, ставя их через apt/apt-get. У RPM такой жидкомозговости не наблюдается.

И эта всратость в apt-е присутствует уже очень давно, в убунте 20.04 она точно была, равно как и в debian wheezy (который 7). И при сборке dpkg-шек меня это задолбало. А "великолепная" документация по dh-чего-то_там? Причём, бюрократия внутри debian 80+ левела: бох с ним, что надо облизать coc.md, но уже готовую документацию, соответствующую всем облизанным coc.md принимать отказываются. Я не знаю, с кем надо там переспать, кому занести, чтобы была возможность дополнить, а местами просто написать отсутствующую документацию по всем этим сборочным "тайным знаниям".

В то же время собрать rpm-пакет вполне возможно и по пути не надо будет крафтить сборочное окружения руками, подсовывая туда правильные пакеты, правильных версий и в правильном сочетании (в обход списка зависимостей). Даже тот же php (у которого гигантское количество зависимостей) собирается без проблем и потом *работает* ровно так как и должен (в меру набора багов внутри самого php).

Ответить | Правка | К родителю #38 | Наверх | Cообщить модератору

50. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от пох. (?), 22-Сен-22, 11:46 
Ну это уже проблема не deb/dpkg - это проблема apt и она тоже в головах у тех кто его изначально разрабатывал, что хотя бы примитивный путь вручную прооверрайдить его зависимости зависимостей не то что не предусмотрен, а если даже ты голым dpkg их решишь, при следующем же запуске apt либо все сломается либо он тебе все сломает.

Но тут можно долго рассуждать о вкусах - поскольку ни dnf, ни zypper тоже в общем звезд с неба в этой области не хватают.

Ответить | Правка | Наверх | Cообщить модератору

53. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от BrainFucker (ok), 22-Сен-22, 22:25 
> Классическая ситуация, ты ставишь зависимости для сборки какого-то куска софта через классический apt-get build-dep имя_пакета, например, php. Классика же, да?

Не совсем, что-то компилить самому редко приходится.
Во-вторых, я не делаю build-dep на основной системе, предпочитаю компилить что либо в чруте, чтобы не засирать систему кучей *-dev пакетов (к слову, они и в rpm-based системах есть вроде как).


> И дальше мудовые рыдания, а почему?

Не было такого, если /etc/apt/sources.list.d не засран левыми репами, то проблем не бывает. Что убунтушные, что дебияновские репы обычно в нормальном состоянии.

> потому что ты из него не можешь выбить причину заминки установки.

Тут вовсе враньё, apt выдаёт подробную инфу что такой-то пакет не может быть установлен, потому что зависит от такого-то пакета такой-то версии, но его нет в репах или типа того. Но опять же, такая ситуация возникает только если система засрана левыми репозиториями или пакетами не из реп.

> И эта всратость в apt-е присутствует уже очень давно,

Давно это когда? Прост я с 2007г. пользуюсь уже ))

Ответить | Правка | К родителю #49 | Наверх | Cообщить модератору

52. "Выпуск пакетного менеджера RPM 4.18"  +/
Сообщение от InuYasha (??), 22-Сен-22, 17:43 
Когда слышу "рпм", вспоминаю вечные ожидания поиска зеркал yum. Это настолько раздражало что на всю жизнь запомнилось.
Ответить | Правка | Наверх | Cообщить модератору

54. "Выпуск пакетного менеджера RPM 4.18"  +4 +/
Сообщение от Anonym88 (?), 22-Сен-22, 23:40 
И кто виноват в том, что ты не способен заменить строчку "mirrorlist" на "baseurl"?
Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру